Mailinglist Archive: opensuse-buildservice (193 mails)

< Previous Next >
Re: [opensuse-buildservice] Apache Server Modules and PHP5 repositories 'possibility for confusion'
  • From: "Cristian Rodriguez R." <judas_iscariote@xxxxxxxxxxxxx>
  • Date: Tue, 10 Apr 2007 00:18:49 -0400
  • Message-id: <461B1029.9020508@xxxxxxxxxxxxx>
Oliver Pawellek escribió:
> Greetings:
> 
> One small question, is it truly necessary to have such alternative sub-packages (as shown below) within the Apache Server Modules,

PHP5 and PHP5 Extensions repositories for the same OS version without
perhaps bewildering the majority of downloaders,

I have noticed at this early stage persons are asking what is the "real"
difference between each sub-repository (other than the vague hinting
title as to what might be different). For example (on viewing the
openSUSE 10.2 , x86_64, repositories) we have:
> 
> ../download/Apache:/Modules
> ./openSUSE_10.2
> ./Apache_openSUSE_10.2 *
> 
> * the above latter repository for unknown reason is not openSUSE build-service authenticated/singed.

must be rebuilt I guess they were compiled when the signing server was down.

there can be quite different,. openSUSE_10.2 is modules built aagainst
distribution apache2, on the contrary Apache_openSUSE_10.2 are built
against the "Apache" project on the buildservice.



> Again for PHP5, and the PHP5 extensions (two, and three sub-repositories for Extension):
> ../download/server:/php
> ./openSUSE_10.2
> ./server_apache_openSUSE_10.2
> 
See above, in this case, apache2-mod_php5 is built against either distro
provided or the one in the Apache project.

> ../download/server:/php:/extensions
> ./openSUSE_10.2
> ./server_apache_openSUSE_10.2
> ./server_php_openSUSE_10.2
> 

in the case of server:php:extensions is similar but indded something can
be done to reduce the confusion as here modules for
./server_apache_openSUSE_10.2 should be compatible with
server_php_openSUSE_10.2.




< Previous Next >
Follow Ups
References